# $Revision: 1.21 $, $Date: 2006/07/25 20:03:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Htpasswd
Summary:	Manage Unix crypt-style password file
Summary(pl):	Obsuga pliku hase w stylu uniksowego crypt
Name:		perl-Apache-Htpasswd
Version:	1.8
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ee2048044096b4259e89c9ed1c88ed92
URL:		http://search.cpan.org/dist/Apache-Htpasswd/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module comes with a set of methods to use with htaccess password
files. These files (and htaccess) are used to do Basic Authentication
on a web server.

%description -l pl
Ten modu dostarcza zestaw metod, ktrych mona uywa z plikami hase
htaccess. Te pliki (oraz htaccess) s uywane do uwierzytelnienia
Basic na serwerze WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Htpasswd.spec,v $
Revision 1.21  2006/07/25 20:03:08  qboosh
- updated md5

Revision 1.20  2006/07/25 19:49:13  glen
- 1.8, generic URL

Revision 1.19  2006/02/17 14:21:27  glen
- 1.7

Revision 1.18  2004/11/03 19:36:55  paladine
- formatting

Revision 1.17  2004/11/01 18:38:47  adamg
- updated to 1.5.8

Revision 1.16  2004/09/02 13:04:02  misi3k
- updated to 1.5.7

Revision 1.15  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.14  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.13  2004/05/06 18:09:14  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/25 07:37:53  ankry
- tests added

Revision 1.11  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.10  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:25:49  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/16 22:56:20  qboosh
- pl description

Revision 1.1  2003/02/14 13:38:58  mis
- new
